सवाल Monodevelop द्वारा सी # में बनाए गए .NET अनुप्रयोग को चलाने के लिए न्यूनतम स्थापना क्या है?


जब मैं .NET की बात करता हूं तो मैं थोड़ा सा उत्साहित हूं लेकिन मुझे आश्चर्य है कि .NET एप्लिकेशन चलाने के लिए स्थापित किए जाने वाले न्यूनतम पैकेजों को क्या आवश्यक है। यह एक साधारण इनपुट आउटपुट कंसोल ऐप है और कमांड के साथ:

app_name.exe

यह मेरे कंप्यूटर पर चलता है लेकिन जब मैं इसे किसी अन्य कंप्यूटर पर चलाने की कोशिश करता हूं (जिसमें मोनोडिफायर नहीं होता है और वह सब कुछ) यह त्रुटि देता है:

बाइनरी फाइल को खोलना संभव नहीं

इसलिए मैं सोच रहा हूं कि आकार पैकेजों के मामले में न्यूनतम क्या है जिन्हें स्थापित करने की आवश्यकता है?


1
2017-12-15 12:10


मूल




जवाब:


आपको स्थापित करना चाहिए था mono-runtime .NET / मोनो अनुप्रयोगों को चलाने के लिए, साथ ही शराब यदि वे विंडोज विनिर्देशों का उपयोग करते हैं।


2
2017-12-15 15:34



मैंने देखा कि यदि मैं monodevelop इंस्टॉल करता हूं तो मैं ऐप चला सकता हूं लेकिन यदि केवल मोनो-रनटाइम है तो यह त्रुटि फिर से दिखाई देती है, मेरा ऐप केवल कुछ बुनियादी सिस्टम का उपयोग करता है। आईआईओ विधियों और कुछ और नहीं। क्या कुछ पुस्तकालय या ऐसा कुछ है जिसे मुझे स्थापित करने की आवश्यकता है? - antifriz
आप स्थापित करने का प्रयास कर सकते हैं libmono-microsoft-csharp-4.0-cil। - Erkin Alp Güney